osl::checkmate::PureLibertyEstimator Struct Reference

`#include <libertyEstimator.h>`

## Static Public Member Functions

template<class State>
static void | attackH (Player attacker, const State &state, King8Info info, Move move, unsigned int &proof_number, unsigned int &disproof_number)
template<class State>
static void | defenseH (Player, const State &, Move, unsigned int &proof_number, unsigned int &disproof_number)

## Detailed Description

Definition at line 12 of file libertyEstimator.h.

## Member Function Documentation

## attackH()

template<class State>

void osl::checkmate::PureLibertyEstimator::attackH | ( | Player | attacker,
|  | const State & | state,
|  | King8Info | info,
|  | Move | move,
|  | unsigned int & | proof_number,
|  | unsigned int & | disproof_number )

inline static

Returns
  move 後の玉のまわりの利きのないマス(の予想)

Definition at line 16 of file libertyEstimator.h.

References osl::alt(), osl::checkmate::King8Info::libertyCount(), and osl::checkmate::Proof_Number_Table.

Referenced by osl::checkmate::LibertyEstimator::attackH().

## defenseH()

template<class State>

void osl::checkmate::PureLibertyEstimator::defenseH | ( | Player | ,
|  | const State & | ,
|  | Move | ,
|  | unsigned int & | proof_number,
|  | unsigned int & | disproof_number )

inline static

Returns
  move 後の玉のまわりの利きのあるマス(の予想)

Definition at line 29 of file libertyEstimator.h.

The documentation for this struct was generated from the following file:

- libertyEstimator.h